summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVirgil Dupras <vdupras@gentoo.org>2018-08-07 11:55:12 -0400
committerVirgil Dupras <vdupras@gentoo.org>2018-08-07 11:55:12 -0400
commit2ff4a3ffcca07f8148c57cc86a8f159e3bc43a17 (patch)
treee014eefc9d8a866f6fcaca142ec607dc914612d0
parentdev-ros/python_qt_binding: bump to 0.3.4 (diff)
downloadgentoo-2ff4a3ffcca07f8148c57cc86a8f159e3bc43a17.tar.gz
gentoo-2ff4a3ffcca07f8148c57cc86a8f159e3bc43a17.tar.bz2
gentoo-2ff4a3ffcca07f8148c57cc86a8f159e3bc43a17.zip
dev-python/tablib: fix broken package
* Dependencies were both incomplete and spurious * Fix tests which were failing for many different reasons Bug: https://bugs.gentoo.org/659790 Bug: https://bugs.gentoo.org/621884 Package-Manager: Portage-2.3.44, Repoman-2.3.10
-rw-r--r--dev-python/tablib/files/tablib-0.12.1-no-ujson.patch16
-rw-r--r--dev-python/tablib/tablib-0.12.1-r1.ebuild45
2 files changed, 61 insertions, 0 deletions
diff --git a/dev-python/tablib/files/tablib-0.12.1-no-ujson.patch b/dev-python/tablib/files/tablib-0.12.1-no-ujson.patch
new file mode 100644
index 00000000000..93f6f93b8b7
--- /dev/null
+++ b/dev-python/tablib/files/tablib-0.12.1-no-ujson.patch
@@ -0,0 +1,16 @@
+diff --git a/tablib/formats/_json.py b/tablib/formats/_json.py
+index a3d6cc3..4c2777a 100644
+--- a/tablib/formats/_json.py
++++ b/tablib/formats/_json.py
+@@ -6,10 +6,7 @@ import decimal
+
+ import tablib
+
+-try:
+- import ujson as json
+-except ImportError:
+- import json
++import json
+
+ title = 'json'
+ extensions = ('json', 'jsn')
diff --git a/dev-python/tablib/tablib-0.12.1-r1.ebuild b/dev-python/tablib/tablib-0.12.1-r1.ebuild
new file mode 100644
index 00000000000..d720bb4e446
--- /dev/null
+++ b/dev-python/tablib/tablib-0.12.1-r1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{2_7,3_{5,6}} )
+
+inherit distutils-r1
+
+DESCRIPTION="A format-agnostic tabular dataset library written in Python"
+HOMEPAGE="http://python-tablib.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+ dev-python/odfpy[${PYTHON_USEDEP}]
+ dev-python/openpyxl[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/unicodecsv[${PYTHON_USEDEP}]
+ dev-python/xlrd[${PYTHON_USEDEP}]
+ dev-python/xlwt[${PYTHON_USEDEP}]
+"
+
+# Presence of pandas older than v0.23 makes tablib tests (which sometimes tries
+# to load pandas dataframes) fail.
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/pytest[${PYTHON_USEDEP}]
+ !<dev-python/pandas-0.23
+ )
+"
+
+PATCHES=(
+ # https://github.com/kennethreitz/tablib/issues/297
+ "${FILESDIR}/${PN}-0.12.1-no-ujson.patch"
+)
+
+python_test() {
+ pytest -v -v || die
+}